Subject: Re: porting linux 2.6.27 to embedded powerpc board

From: Scott Wood <[email-masked]>
Date: Fri, 22 Aug 2008 15:18:11 -0500

Laxmikant Rashinkar wrote:
> When I attempt to boot my image it just hangs w/o any output. I dearly 
> wish I could get some console output.

Make sure you have /chosen/linux,stdout-path in your device tree.  For 
output from the kernel itself, make sure the serial clock-frequency is 
correct.

> 1) the load address and entry point for the kernel (see above) are 
> non-zero. When we load via uImage, they are always zero. Is this normal? 

Yes, it's normal.

> 2) When I build my kernel, I get two warnings. Could these be causing a 
> problem?

Probably not.

-Scott